import 'package:flutter/material.dart';

enum CozyDrinkType {
  Water,
  Tea,
  Coffee,
  Juice;

  String get label => toString().split('.').last;

  Color get pastelColor {
    switch (this) {
      case CozyDrinkType.Water:
        return const Color(0xFF81D4FA);
      case CozyDrinkType.Tea:
        return const Color(0xFFA5D6A7);
      case CozyDrinkType.Coffee:
        return const Color(0xFFBCAAA4);
      case CozyDrinkType.Juice:
        return const Color(0xFFFFAB91);
    }
  }

  IconData get icon {
    switch (this) {
      case CozyDrinkType.Water:
        return Icons.water_drop_rounded;
      case CozyDrinkType.Tea:
        return Icons.emoji_food_beverage_rounded;
      case CozyDrinkType.Coffee:
        return Icons.coffee_rounded;
      case CozyDrinkType.Juice:
        return Icons.local_drink_rounded;
    }
  }
}
